<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\Domain\Domain.csproj" />
    <ProjectReference Include="..\..\..\Application\Application.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="*" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="*" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="*">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="GreenDonut" Version="*" />
  </ItemGroup>

</Project>
